<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionTransferLiquid Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d1b/class_action_transfer_liquid.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionTransferLiquid Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionTransferLiquid:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d1b/class_action_transfer_liquid.png" usemap="#ActionTransferLiquid_map" alt=""/>
  <map id="ActionTransferLiquid_map" name="ActionTransferLiquid_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8ca0a2a95ec64c7b2400416b6353862a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a8ca0a2a95ec64c7b2400416b6353862a">ActionTransferLiquid</a> ()</td></tr>
<tr class="separator:a8ca0a2a95ec64c7b2400416b6353862a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a584d09a081f2f15636d5459fbf0785d2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a584d09a081f2f15636d5459fbf0785d2">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a584d09a081f2f15636d5459fbf0785d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0a3a9bc8d15c6e7eadc3864e6368749"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#aa0a3a9bc8d15c6e7eadc3864e6368749">HasProneException</a> ()</td></tr>
<tr class="separator:aa0a3a9bc8d15c6e7eadc3864e6368749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae06dc9ecbc6dea55459494e55e3189f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#aae06dc9ecbc6dea55459494e55e3189f">GetText</a> ()</td></tr>
<tr class="separator:aae06dc9ecbc6dea55459494e55e3189f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ad29364c5639fc9c360b0f91a5ad9b6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a0ad29364c5639fc9c360b0f91a5ad9b6">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a0ad29364c5639fc9c360b0f91a5ad9b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd8763336fdb7cbeb3a19032c52d1d4a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#acd8763336fdb7cbeb3a19032c52d1d4a">OnStartClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:acd8763336fdb7cbeb3a19032c52d1d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f849edb673a771a6c3bf7ab9f589f0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a77f849edb673a771a6c3bf7ab9f589f0">OnStartServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a77f849edb673a771a6c3bf7ab9f589f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e333958cfbab444cbbe8587affc6454"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a3e333958cfbab444cbbe8587affc6454">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a3e333958cfbab444cbbe8587affc6454"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87332084e74e823d9b3ce1a9159d5f5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#ae87332084e74e823d9b3ce1a9159d5f5">CreateActionData</a> ()</td></tr>
<tr class="separator:ae87332084e74e823d9b3ce1a9159d5f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe46977df097a5bd9ea79ec61a4e14b5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#abe46977df097a5bd9ea79ec61a4e14b5">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:abe46977df097a5bd9ea79ec61a4e14b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f6f2880564146e55401a5446c975a9e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a0f6f2880564146e55401a5446c975a9e">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data)</td></tr>
<tr class="separator:a0f6f2880564146e55401a5446c975a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e60bdbf1a82659aefb754f40fccc26"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#af7e60bdbf1a82659aefb754f40fccc26">HandleReciveData</a> (ActionReciveData action_recive_data, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af7e60bdbf1a82659aefb754f40fccc26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40bf63625b9d9f0d0b82b8e16322f2d3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a40bf63625b9d9f0d0b82b8e16322f2d3">OnStartAnimationLoop</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a40bf63625b9d9f0d0b82b8e16322f2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739e289c35cef41d1184145356feba16"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html#a739e289c35cef41d1184145356feba16">OnEndAnimationLoop</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a739e289c35cef41d1184145356feba16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8ca0a2a95ec64c7b2400416b6353862a" name="a8ca0a2a95ec64c7b2400416b6353862a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ca0a2a95ec64c7b2400416b6353862a">&#9670;&#160;</a></span>ActionTransferLiquid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTransferLiquid::ActionTransferLiquid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00026">26</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0ad29364c5639fc9c360b0f91a5ad9b6" name="a0ad29364c5639fc9c360b0f91a5ad9b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ad29364c5639fc9c360b0f91a5ad9b6">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTransferLiquid::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00054">54</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="ae87332084e74e823d9b3ce1a9159d5f5" name="ae87332084e74e823d9b3ce1a9159d5f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae87332084e74e823d9b3ce1a9159d5f5">&#9670;&#160;</a></span>CreateActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionTransferLiquid::CreateActionData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00111">111</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="a584d09a081f2f15636d5459fbf0785d2" name="a584d09a081f2f15636d5459fbf0785d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a584d09a081f2f15636d5459fbf0785d2">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00034">34</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="aae06dc9ecbc6dea55459494e55e3189f" name="aae06dc9ecbc6dea55459494e55e3189f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae06dc9ecbc6dea55459494e55e3189f">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionTransferLiquid::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00045">45</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="af7e60bdbf1a82659aefb754f40fccc26" name="af7e60bdbf1a82659aefb754f40fccc26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7e60bdbf1a82659aefb754f40fccc26">&#9670;&#160;</a></span>HandleReciveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::HandleReciveData </td>
          <td>(</td>
          <td class="paramtype">ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00141">141</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="aa0a3a9bc8d15c6e7eadc3864e6368749" name="aa0a3a9bc8d15c6e7eadc3864e6368749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0a3a9bc8d15c6e7eadc3864e6368749">&#9670;&#160;</a></span>HasProneException()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTransferLiquid::HasProneException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00040">40</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="a739e289c35cef41d1184145356feba16" name="a739e289c35cef41d1184145356feba16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a739e289c35cef41d1184145356feba16">&#9670;&#160;</a></span>OnEndAnimationLoop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::OnEndAnimationLoop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00165">165</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="a3e333958cfbab444cbbe8587affc6454" name="a3e333958cfbab444cbbe8587affc6454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e333958cfbab444cbbe8587affc6454">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00106">106</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="a40bf63625b9d9f0d0b82b8e16322f2d3" name="a40bf63625b9d9f0d0b82b8e16322f2d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40bf63625b9d9f0d0b82b8e16322f2d3">&#9670;&#160;</a></span>OnStartAnimationLoop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::OnStartAnimationLoop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00149">149</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="acd8763336fdb7cbeb3a19032c52d1d4a" name="acd8763336fdb7cbeb3a19032c52d1d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd8763336fdb7cbeb3a19032c52d1d4a">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::OnStartClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00095">95</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="a77f849edb673a771a6c3bf7ab9f589f0" name="a77f849edb673a771a6c3bf7ab9f589f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77f849edb673a771a6c3bf7ab9f589f0">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::OnStartServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00100">100</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="a0f6f2880564146e55401a5446c975a9e" name="a0f6f2880564146e55401a5446c975a9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f6f2880564146e55401a5446c975a9e">&#9670;&#160;</a></span>ReadFromContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTransferLiquid::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00124">124</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<a id="abe46977df097a5bd9ea79ec61a4e14b5" name="abe46977df097a5bd9ea79ec61a4e14b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe46977df097a5bd9ea79ec61a4e14b5">&#9670;&#160;</a></span>WriteToContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTransferLiquid::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html#l00117">117</a> of file <a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d3/d95/_action_transfer_liquid_8c_source.html">ActionTransferLiquid.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d1b/class_action_transfer_liquid.html">ActionTransferLiquid</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
